*Estimate Variance Components directly using ANOVA model.
VARCOMP Y BY Person Time Item 
  /RANDOM=Person Time Item
  /METHOD= MINQUE(1)
  /DESIGN=Person Time Item Item*Person Item*Time 
                    Person*Time.

*Estimate variance components for Person, Person*Item and 
          Person*Time using Mixed Model.
MIXED Y BY Time Item
  /FIXED=Time Item Time*Item | SSTYPE(3)
  /METHOD=REML
  /RANDOM=INTERCEPT Time Item | SUBJECT(Person).

*To go from long back to wide for Mplus omega calculations.
SORT CASES BY person time .
CASESTOVARS
/ID = person time
/INDEX = item
/GROUPBY = INDEX .

